Subject: bug#29538: 26.0.90; Gnus, group buffer: Mouse click on empty space selects group

From: Katsumi Yamaoka <[email-masked]>
Date: Mon, 04 Dec 2017 10:03:37 +0900

On Sat, 02 Dec 2017 21:15:37 +0100, Benjamin Riefenstahl wrote:
> The behaviour of mouse clicks has changed in the Gnus group buffer from
> Emacs 25 to Emacs 26.

I found no difference in the end of a group line between 25 and 26.
Don't you have a special treatment on `gnus-mouse-2'?  In Emacs 25
the default value of it is `[mouse-2]' that Emacs 26 directly uses
instead of `gnus-mouse-2'.  Otherwise, isn't it due to your setting of
`mouse-1-click-follows-link' or `mouse-1-click-in-non-selected-windows'?

> In Emacs 25, when I clicked on empty space to the right of lines or
> after the last group, this did nothing.  This was usefull to just
> activate the Emacs frame.

Making the mouse click do so is easy anyway:

(defadvice gnus-mouse-pick-group (around do-nothing-in-lineend activate)
  "Do nothing in the line end."
  (mouse-set-point e)
  (or (eolp) ad-do-it))